export default {
  id: 'interview_byz',
  title: '学历/学位证书',
  get: {
    action: `${process.env.baseURL}/api/enrollment/v1.0/application-materials/${process.env.projectId}`,
    callback(data) {
      const { attachments = [], submission_stage: submissionStage = 'FILLING' } = data.data.material
      const stageList = [
        'FILLING',
        'PREPAYMENT',
        'INTERVIEW_APPLICATION',
        'AUDITION',
        'INTERVIEW',
        'PAYMENT',
        'REGISTRATION',
        'CLOSED'
      ]
      this.form.options.disabled = stageList.findIndex(item => item === submissionStage) > 2
      const DEGREE_CERT_CN = attachments.filter(item => {
        return item.file_type_id === 'DEGREE_CERT_CN'
      })
      return { DEGREE_CERT_CN }
    }
  },
  form: {
    next: { to: { query: { active: 'interview_cjd' } } },
    hasButton: false,
    options: {},
    items: [
      {
        type: 'v-upload',
        required: true,
        model: 'DEGREE_CERT_CN',
        attrs: {
          action: `${process.env.baseURL}/api/enrollment/v1.0/application-materials/attachments/${process.env.projectId}/put`,
          deleteAction: `${process.env.baseURL}/api/enrollment/v1.0/application-materials/attachments/${process.env.projectId}/delete`,
          data: { file_type: 'DEGREE_CERT_CN' }
        },
        append: '注意事项：需要将证书原件扫描或拍照后提交，请确保证书内容清晰可辨。'
      }
    ]
  }
}
